跳转到内容
Ask AI

Dhcp-Server-Netconf

此内容尚不支持你的语言。

YANG Pathget/get-configedit-configrpc
/dhcp-serverYmerge, replace, create, delete—
/dhcp-server/class/{name}Ymerge, replace, create, delete—
/dhcp-server/class/{name}/rule/{id}Ymerge, replace, create, delete—
/dhcp-server/failoverYmerge, replace, create, delete—
/dhcp-server/interfaces/{name}Ymerge, delete—
/dhcp-server/option-group/{id}Ymerge, replace, create, delete—
/dhcp-server/v4-pool/{name}Ymerge, replace, create, delete—
/dhcp-server/v4-pool/{name}/class/{class-name}Ymerge, replace, create, delete—
/dhcp-server/v6-pool/{name}Ymerge, replace, create, delete—
/show-dhcp-client——Y
/show-dhcp-pool-info——Y
/show-dhcp-pool-ip-in-use——Y

This chapter provides examples on how to use Netconf to manage DHCP Server configurations on AsterNOS devices.

Request example to get all DHCP Server configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<dhcp-server/>
</top>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<dhcp-server xmlns="http://asterfusion.com/ns/yang/asternos-dhcp-server">
<failover>
<max-response-delay-time>600</max-response-delay-time>
<local-address>Loopback0</local-address>
<peer-address>11.1.1.1</peer-address>
<role>primary</role>
</failover>
<class>
<name>class1</name>
<rule>
<id>2</id>
<option>pxe-system-type</option>
<option-value>0x12ab</option-value>
</rule>
</class>
<class>
<name>class2</name>
<rule>
<id>2</id>
<option>circuit-id</option>
<option-value>abc123</option-value>
</rule>
<rule>
<id>3</id>
<option>remote-id</option>
<option-value>abc123</option-value>
</rule>
</class>
<option-group>
<id>3</id>
<bootfile-name>filename111</bootfile-name>
<capwap-ac-address>5.6.6.6</capwap-ac-address>
<vendor-specific-information>01020304</vendor-specific-information>
<default-gateway>9.9.9.9</default-gateway>
<tftp-server>www.111.com</tftp-server>
</option-group>
<v4-pool>
<name>pool1</name>
<network>10.5.8.0/24</network>
<start-ip>10.5.8.10</start-ip>
<end-ip>10.5.8.20</end-ip>
<domain-name-server>1.1.1.1</domain-name-server>
<bootfile-name>file.test</bootfile-name>
<capwap-ac-address>1.1.1.2</capwap-ac-address>
<vendor-specific-information>01020304</vendor-specific-information>
<default-gateway>10.5.8.1</default-gateway>
<tftp-server>1.1.1.5</tftp-server>
<default-lease-time>3600</default-lease-time>
<max-lease-time>7200</max-lease-time>
<vlan>Vlan100</vlan>
<next-server>1.1.1.4</next-server>
</v4-pool>
<v6-pool>
<name>pool2</name>
<network>2001:db8::/64</network>
<start-ip>2001:db8::100</start-ip>
<end-ip>2001:db8::200</end-ip>
<domain-name-server>2001:4860:4860::8888</domain-name-server>
<default-lease-time>3600</default-lease-time>
<max-lease-time>7200</max-lease-time>
<vlan>Vlan100</vlan>
</v6-pool>
<interfaces>
<name>Ethernet1</name>
<enabled>true</enabled>
</interfaces>
<interfaces>
<name>PortChannel0001</name>
<enabled>true</enabled>
</interfaces>
<interfaces>
<name>Vlan200</name>
<enabled>true</enabled>
</interfaces>
</dhcp-server>
</top>
</data>

Request example to set a DHCP Option Group configuration via edit-config.

<config>
<top>
<dhcp-server>
<option-group>
<id>3</id>
<bootfile-name>filename111</bootfile-name>
<capwap-ac-address>5.6.6.6</capwap-ac-address>
<vendor-specific-information>0X01020304</vendor-specific-information>
<default-gateway>9.9.9.9</default-gateway>
<tftp-server>www.111.com</tftp-server>
</option-group>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:487ac1eb-4a86-4f44-bd6f-87a16ad92815">
<ok/>
</rpc-reply>

Request example to set a DHCP Class configuration via edit-config.

<config>
<top>
<dhcp-server>
<class>
<name>class1</name>
<rule>
<id>2</id>
<option>pxe-system-type</option>
<option-value>0x12ab</option-value>
</rule>
</class>
<class>
<name>class2</name>
<rule>
<id>2</id>
<option>circuit-id</option>
<option-value>abc123</option-value>
</rule>
<rule>
<id>3</id>
<option>remote-id</option>
<option-value>abc123</option-value>
</rule>
</class>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:487ac1eb-4a86-4f44-bd6f-87a16ad92815">
<ok/>
</rpc-reply>

Request example to set a DHCP failover configuration via edit-config.

<config>
<top>
<dhcp-server>
<failover>
<max-response-delay-time>600</max-response-delay-time>
<local-address>Loopback0</local-address>
<peer-address>11.1.1.1</peer-address>
<role>primary</role>
</failover>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:487ac1eb-4a86-4f44-bd6f-87a16ad92815">
<ok/>
</rpc-reply>

Request example to set a DHCP Pool configuration via edit-config.

<config>
<top>
<dhcp-server>
<v4-pool>
<name>pool1</name>
<network>10.5.8.0/24</network>
<start-ip>10.5.8.10</start-ip>
<end-ip>10.5.8.20</end-ip>
<domain-name-server>1.1.1.1</domain-name-server>
<default-gateway>10.5.8.1</default-gateway>
<default-lease-time>3600</default-lease-time>
<max-lease-time>7200</max-lease-time>
<bootfile-name>file.test</bootfile-name>
<capwap-ac-address>1.1.1.2</capwap-ac-address>
<vendor-specific-information>01020304</vendor-specific-information>
<next-server>1.1.1.4</next-server>
<tftp-server>1.1.1.5</tftp-server>
<vlan>Vlan100</vlan>
</v4-pool>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:487ac1eb-4a86-4f44-bd6f-87a16ad92815">
<ok/>
</rpc-reply>

Request example to set a DHCPv6 Pool configuration via edit-config.

<config>
<top>
<dhcp-server>
<v6-pool>
<name>pool2</name>
<network>2001:db8::1/64</network>
<start-ip>2001:db8::100</start-ip>
<end-ip>2001:db8::200</end-ip>
<domain-name-server>2001:4860:4860::8888</domain-name-server>
<default-lease-time>3600</default-lease-time>
<max-lease-time>7200</max-lease-time>
<vlan>Vlan100</vlan>
</v6-pool>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:487ac1eb-4a86-4f44-bd6f-87a16ad92815">
<ok/>
</rpc-reply>

Request example to set interface binding in DHCP Pool configuration via edit-config.

<config>
<top>
<dhcp-server>
<interfaces operation="merge">
<name>Ethernet1</name>
<enabled>true</enabled>
</interfaces>
<interfaces operation="merge">
<name>PortChannel0001</name>
<enabled>true</enabled>
</interfaces>
<interfaces operation="merge">
<name>Vlan200</name>
<enabled>true</enabled>
</interfaces>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:487ac1eb-4a86-4f44-bd6f-87a16ad92815">
<ok/>
</rpc-reply>

Request example to delete DHCP Option Group configurations via edit-config.

<config>
<top>
<dhcp-server>
<option-group operation="delete">
<id>3</id>
</option-group>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:81c62129-0eed-4041-93a9-dd748f2c9dcf">
<ok/>
</rpc-reply>

Request example to delete DHCP Class configurations via edit-config.

<config>
<top>
<dhcp-server>
<class operation="delete">
<name>class2</name>
</class>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:81c62129-0eed-4041-93a9-dd748f2c9dcf">
<ok/>
</rpc-reply>

Request example to delete DHCP Pool configurations via edit-config.

<config>
<top>
<dhcp-server>
<v4-pool operation="delete">
<name>pool1</name>
</v4-pool>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:81c62129-0eed-4041-93a9-dd748f2c9dcf">
<ok/>
</rpc-reply>

Request example to delete DHCPv6 Pool configurations via edit-config.

<config>
<top>
<dhcp-server>
<v6-pool operation="delete">
<name>pool2</name>
</v6-pool>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:81c62129-0eed-4041-93a9-dd748f2c9dcf">
<ok/>
</rpc-reply>

Request example to unbinding the interface of DHCP Pool via edit-config.

<config>
<top>
<dhcp-server>
<interfaces operation="merge">
<name>Ethernet1</name>
<enabled>false</enabled>
</interfaces>
</dhcp-server>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:81c62129-0eed-4041-93a9-dd748f2c9dcf">
<ok/>
</rpc-reply>

Request example to show DHCP Pool info via rpc show-dhcp-pool-info.

<show-dhcp-pool-info>
<version>v4</version>
</show-dhcp-pool-info>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:ba1ff87c-59dd-4a3f-a7eb-193373a293a7">
<data xmlns="http://asterfusion.com/ns/yang/asternos-dhcp-snooping"/>
--------------------------------------------------
Pool-name : pool1
Subnet : 10.5.8.0/24
Lease : 10.5.8.10 - 10.5.8.20
Lease_default_time : 3600
Lease_max_time : 7200
DNS : 1.1.1.1
Routers : 10.5.8.1
Capwap-ac : 1.1.1.2
Bootfile-name : file.test
Option43 : 01020304
Next-server : 1.1.1.4
Tftp-server : 1.1.1.5
Vlan : Vlan100
</data>
</rpc-reply>

Request example to show DHCPv6 Pool info via rpc show-dhcp-pool-info.

<show-dhcp-pool-info>
<version>v6</version>
</show-dhcp-pool-info>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:ba1ff87c-59dd-4a3f-a7eb-193373a293a7">
<data xmlns="http://asterfusion.com/ns/yang/asternos-dhcp-snooping"/>
--------------------------------------------------
Pool-name : pool2
Subnet : 2001:db8::/64
Lease : 2001:db8::100 - 2001:db8::200
Lease_default_time : 3600
Lease_max_time : 7200
DNS : 2001:4860:4860::8888
Vlan : Vlan100
</data>
</rpc-reply>

Request example to show DHCP Pool IP in use via rpc show-dhcp-pool-ip-in-use.

<show-dhcp-pool-ip-in-use>
<version>v4</version>
</show-dhcp-pool-ip-in-use>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:ba1ff87c-59dd-4a3f-a7eb-193373a293a7">
<data xmlns="http://asterfusion.com/ns/yang/asternos-dhcp-snooping"/>
+--------------+-------------------+-------------------------+-------------------------+
| IP Address | MAC Address | Lease Start | Lease End |
+==============+===================+=========================+=========================+
| 10.5.8.10 | 0c:16:03:d4:a7:b4 | 2025-03-29 12:20:52 UTC | 2025-03-29 13:20:52 UTC |
+--------------+-------------------+-------------------------+-------------------------+
</data>
</rpc-reply>

Request example to show DHCPV6 Pool IP in use via rpc show-dhcp-pool-ip-in-use.

<show-dhcp-pool-ip-in-use>
<version>v6</version>
</show-dhcp-pool-ip-in-use>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="urn:uuid:ba1ff87c-59dd-4a3f-a7eb-193373a293a7">
<data xmlns="http://asterfusion.com/ns/yang/asternos-dhcp-snooping"/>
+-----------------+-------------------+-------------------------+-------------------------+
| IPv6 Address | MAC Address | Lease Start | Lease End |
+=================+===================+=========================+=========================+
| 2001:db8:1::103 | 0c:16:03:d4:a7:b4 | 2025-03-29 12:20:58 UTC | 2025-03-29 12:30:58 UTC |
+-----------------+-------------------+-------------------------+-------------------------+
</data>
</rpc-reply>

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw class* [name]
| +--rw name string
| +--rw rule* [id]
| | +--rw id uint8
| | +--rw option enumeration
| | +--rw option-value string
| +--rw option-group? uint16
+--rw failover
| +--rw max-response-delay-time? uint16
| +--rw local-address? union
| +--rw peer-address? inet:ipv4-address-no-zone
| +--rw role? enumeration
+--rw option-group* [id]
| +--rw id uint16
| +--rw bootfile-name? string
| +--rw capwap-ac-address? inet:ipv4-address-no-zone
| +--rw vendor-specific-information? string
| +--rw default-gateway? inet:ipv4-address-no-zone
| +--rw tftp-server? string
+--rw v4-pool* [name]
| +--rw name string
| +--rw network? inet:ipv4-prefix
| +--rw start-ip? inet:ipv4-address-no-zone
| +--rw end-ip? inet:ipv4-address-no-zone
| +--rw domain-name-server* inet:ipv4-address-no-zone
| +--rw bootfile-name? string
| +--rw capwap-ac-address? inet:ipv4-address-no-zone
| +--rw vendor-specific-information? string
| +--rw default-gateway? inet:ipv4-address-no-zone
| +--rw tftp-server? string
| +--rw default-lease-time? uint32
| +--rw max-lease-time? uint32
| +--rw vlan? cmn:vlan-name
| +--rw next-server? inet:ipv4-address-no-zone
| +--rw class* [class-name]
| | +--rw class-name string
| | +--rw start-ip? inet:ipv4-address-no-zone
| | +--rw end-ip? inet:ipv4-address-no-zone
| +--rw server-identifier? union
+--rw v6-pool* [name]
| +--rw name string
| +--rw network? inet:ipv6-prefix
| +--rw start-ip? inet:ipv6-address-no-zone
| +--rw end-ip? inet:ipv6-address-no-zone
| +--rw domain-name-server* inet:ipv6-address-no-zone
| +--rw default-lease-time? uint32
| +--rw max-lease-time? uint32
| +--rw vlan? cmn:vlan-name
+--rw interfaces* [name]
+--rw name union
+--rw enabled? boolean

Table of Properties

NameRequiredType/RangeDescription
dhcp-serverMPath-only node, has no configurable value.
classMPath-only node, has no configurable value.
class of dhcp server
nameONone
ruleMPath-only node, has no configurable value.
idO1..16DHCP server class rule id.
optionM”circuit-id"
"remote-id"
"pxe-system-type”
Some option fields in the DHCP protocol.
option-valueMstringThe value of option in the DHCP protocol.
option-groupOintegerClass-bound option-group.
failoverMPath-only node, has no configurable value.
max-response-delay-timeO30..3600The maximum time the current server waits for a response from the peer server
Default value: 60
local-addressOAn IPv4 address without a zone index. This type, derived from the type ipv4-address, may be used in situations where the zone is known from the context and no zone index is needed.The address of local.
peer-addressOinet:ipv4-address-no-zoneThe IP address of peer.
roleO”primary"
"secondary”
The current server role
option-groupMPath-only node, has no configurable value.
idO1..65535ID of DHCP option group
bootfile-nameONoneThe location of the boot file used by the client to start the system.
capwap-ac-addressOinet:ipv4-address-no-zoneIP address of ac.
vendor-specific-informationONoneThe value of option43 is usually in hexadecimal.

The format is TLV, Type 1 byte, Length 1 byte, value 1-251 bytes.
default-gatewayOinet:ipv4-address-no-zoneSpecify the IP address of the default gateway.
tftp-serverONoneSpecify the IP address or domain name of the tftp server.
v4-poolMPath-only node, has no configurable value.
nameONonedhcp pool name
networkOinet:ipv4-prefixSpecify the network segment of the DHCP pool.
start-ipOinet:ipv4-address-no-zoneSpecify the starting IP address of the DHCP pool.
end-ipOinet:ipv4-address-no-zoneSpecify the end IP address of the DHCP pool.
domain-name-serverOinet:ipv4-address-no-zoneIP address of DNS server.
bootfile-nameONoneThe location of the boot file used by the client to start the system.
capwap-ac-addressOinet:ipv4-address-no-zoneIP address of ac.
vendor-specific-informationONoneThe value of option43 is usually in hexadecimal.

The format is TLV, Type 1 byte, Length 1 byte, value 1-251 bytes.
default-gatewayOinet:ipv4-address-no-zoneSpecify the IP address of the default gateway.
tftp-serverONoneSpecify the IP address or domain name of the tftp server.
default-lease-timeO30..100000000Default lease time.
Default value: 3600
max-lease-timeO30..100000000Maximum lease time.
Default value: 7200
vlanOcmn:vlan-nameBind this VLAN to dhcp pool.
next-serverOinet:ipv4-address-no-zoneIP address of tftp server
classMPath-only node, has no configurable value.
Class bound to dhcp pool
class-nameONoneThe bound class name.
start-ipOinet:ipv4-address-no-zoneSet the rules in this class to apply to the starting IP address of the IP segment.
end-ipOinet:ipv4-address-no-zoneSet the rules in this class to apply to the end IP address of the IP segment.
server-identifierOAn IPv4 address without a zone index. This type, derived from the type ipv4-address, may be used in situations where the zone is known from the context and no zone index is needed.The address of server identifier.
v6-poolMPath-only node, has no configurable value.
nameONonedhcp pool name
networkOinet:ipv6-prefixSpecify the network segment of the DHCP pool v6.
start-ipOinet:ipv6-address-no-zoneSpecify the starting IPv6 address of the DHCP pool v6.
end-ipOinet:ipv6-address-no-zoneSpecify the end IPv6 address of the DHCP pool v6.
domain-name-serverOinet:ipv6-address-no-zoneIP address of DNS server.
default-lease-timeO30..100000000Default lease time.
Default value: 3600
max-lease-timeO30..100000000Maximum lease time.
Default value: 7200
vlanOcmn:vlan-nameBind this VLAN to dhcp pool.
interfacesMPath-only node, has no configurable value.
List of interfaces enabled to the DHCP pool
nameOEthernet nameThe interface name
enabledO”true"
"false”

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw class* [name]
+--rw name string
+--rw rule* [id]
| +--rw id uint8
| +--rw option enumeration
| +--rw option-value string
+--rw option-group? uint16

Table of Properties

NameRequiredType/RangeDescription
classMPath-only node, has no configurable value.
class of dhcp server
nameONone
ruleMPath-only node, has no configurable value.
idO1..16DHCP server class rule id.
optionM”circuit-id"
"remote-id"
"pxe-system-type”
Some option fields in the DHCP protocol.
option-valueMstringThe value of option in the DHCP protocol.
option-groupOintegerClass-bound option-group.

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw class* [name]
+--rw rule* [id]
+--rw id uint8
+--rw option enumeration
+--rw option-value string

Table of Properties

NameRequiredType/RangeDescription
ruleMPath-only node, has no configurable value.
idO1..16DHCP server class rule id.
optionM”circuit-id"
"remote-id"
"pxe-system-type”
Some option fields in the DHCP protocol.
option-valueMstringThe value of option in the DHCP protocol.

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw failover
+--rw max-response-delay-time? uint16
+--rw local-address? union
+--rw peer-address? inet:ipv4-address-no-zone
+--rw role? enumeration

Table of Properties

NameRequiredType/RangeDescription
failoverMPath-only node, has no configurable value.
max-response-delay-timeO30..3600The maximum time the current server waits for a response from the peer server
Default value: 60
local-addressOAn IPv4 address without a zone index. This type, derived from the type ipv4-address, may be used in situations where the zone is known from the context and no zone index is needed.The address of local.
peer-addressOinet:ipv4-address-no-zoneThe IP address of peer.
roleO”primary"
"secondary”
The current server role

List of interfaces enabled to the DHCP pool

Section titled “List of interfaces enabled to the DHCP pool”

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw interfaces* [name]
+--rw name union
+--rw enabled? boolean

Table of Properties

NameRequiredType/RangeDescription
interfacesMPath-only node, has no configurable value.
List of interfaces enabled to the DHCP pool
nameOEthernet nameThe interface name
enabledO”true"
"false”

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw option-group* [id]
+--rw id uint16
+--rw bootfile-name? string
+--rw capwap-ac-address? inet:ipv4-address-no-zone
+--rw vendor-specific-information? string
+--rw default-gateway? inet:ipv4-address-no-zone
+--rw tftp-server? string

Table of Properties

NameRequiredType/RangeDescription
option-groupMPath-only node, has no configurable value.
idO1..65535ID of DHCP option group
bootfile-nameONoneThe location of the boot file used by the client to start the system.
capwap-ac-addressOinet:ipv4-address-no-zoneIP address of ac.
vendor-specific-informationONoneThe value of option43 is usually in hexadecimal.

The format is TLV, Type 1 byte, Length 1 byte, value 1-251 bytes.
default-gatewayOinet:ipv4-address-no-zoneSpecify the IP address of the default gateway.
tftp-serverONoneSpecify the IP address or domain name of the tftp server.

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw v4-pool* [name]
+--rw name string
+--rw network? inet:ipv4-prefix
+--rw start-ip? inet:ipv4-address-no-zone
+--rw end-ip? inet:ipv4-address-no-zone
+--rw domain-name-server* inet:ipv4-address-no-zone
+--rw bootfile-name? string
+--rw capwap-ac-address? inet:ipv4-address-no-zone
+--rw vendor-specific-information? string
+--rw default-gateway? inet:ipv4-address-no-zone
+--rw tftp-server? string
+--rw default-lease-time? uint32
+--rw max-lease-time? uint32
+--rw vlan? cmn:vlan-name
+--rw next-server? inet:ipv4-address-no-zone
+--rw class* [class-name]
| +--rw class-name string
| +--rw start-ip? inet:ipv4-address-no-zone
| +--rw end-ip? inet:ipv4-address-no-zone
+--rw server-identifier? union

Table of Properties

NameRequiredType/RangeDescription
v4-poolMPath-only node, has no configurable value.
nameONonedhcp pool name
networkOinet:ipv4-prefixSpecify the network segment of the DHCP pool.
start-ipOinet:ipv4-address-no-zoneSpecify the starting IP address of the DHCP pool.
end-ipOinet:ipv4-address-no-zoneSpecify the end IP address of the DHCP pool.
domain-name-serverOinet:ipv4-address-no-zoneIP address of DNS server.
bootfile-nameONoneThe location of the boot file used by the client to start the system.
capwap-ac-addressOinet:ipv4-address-no-zoneIP address of ac.
vendor-specific-informationONoneThe value of option43 is usually in hexadecimal.

The format is TLV, Type 1 byte, Length 1 byte, value 1-251 bytes.
default-gatewayOinet:ipv4-address-no-zoneSpecify the IP address of the default gateway.
tftp-serverONoneSpecify the IP address or domain name of the tftp server.
default-lease-timeO30..100000000Default lease time.
Default value: 3600
max-lease-timeO30..100000000Maximum lease time.
Default value: 7200
vlanOcmn:vlan-nameBind this VLAN to dhcp pool.
next-serverOinet:ipv4-address-no-zoneIP address of tftp server
classMPath-only node, has no configurable value.
Class bound to dhcp pool
class-nameONoneThe bound class name.
start-ipOinet:ipv4-address-no-zoneSet the rules in this class to apply to the starting IP address of the IP segment.
end-ipOinet:ipv4-address-no-zoneSet the rules in this class to apply to the end IP address of the IP segment.
server-identifierOAn IPv4 address without a zone index. This type, derived from the type ipv4-address, may be used in situations where the zone is known from the context and no zone index is needed.The address of server identifier.

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw v4-pool* [name]
+--rw class* [class-name]
+--rw class-name string
+--rw start-ip? inet:ipv4-address-no-zone
+--rw end-ip? inet:ipv4-address-no-zone

Table of Properties

NameRequiredType/RangeDescription
classMPath-only node, has no configurable value.
Class bound to dhcp pool
class-nameONoneThe bound class name.
start-ipOinet:ipv4-address-no-zoneSet the rules in this class to apply to the starting IP address of the IP segment.
end-ipOinet:ipv4-address-no-zoneSet the rules in this class to apply to the end IP address of the IP segment.

Tree Diagram

module: asternos-dhcp-server
+--rw dhcp-server
+--rw v6-pool* [name]
+--rw name string
+--rw network? inet:ipv6-prefix
+--rw start-ip? inet:ipv6-address-no-zone
+--rw end-ip? inet:ipv6-address-no-zone
+--rw domain-name-server* inet:ipv6-address-no-zone
+--rw default-lease-time? uint32
+--rw max-lease-time? uint32
+--rw vlan? cmn:vlan-name

Table of Properties

NameRequiredType/RangeDescription
v6-poolMPath-only node, has no configurable value.
nameONonedhcp pool name
networkOinet:ipv6-prefixSpecify the network segment of the DHCP pool v6.
start-ipOinet:ipv6-address-no-zoneSpecify the starting IPv6 address of the DHCP pool v6.
end-ipOinet:ipv6-address-no-zoneSpecify the end IPv6 address of the DHCP pool v6.
domain-name-serverOinet:ipv6-address-no-zoneIP address of DNS server.
default-lease-timeO30..100000000Default lease time.
Default value: 3600
max-lease-timeO30..100000000Maximum lease time.
Default value: 7200
vlanOcmn:vlan-nameBind this VLAN to dhcp pool.

Tree Diagram

module: asternos-dhcp-server
rpcs:
+---x show-dhcp-client
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-dhcp-clientO
dataOstring

Tree Diagram

module: asternos-dhcp-server
rpcs:
+---x show-dhcp-pool-info
+---w input
| +---w version? enumeration
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-dhcp-pool-infoO
versionO”v4"
"v6”
The family of the pool.
dataOstring

Tree Diagram

module: asternos-dhcp-server
rpcs:
+---x show-dhcp-pool-ip-in-use
+---w input
| +---w version? enumeration
| +---w address? inet:ip-address-no-zone
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-dhcp-pool-ip-in-useO
versionO”v4"
"v6”
The family of the pool.
addressOinet:ip-address-no-zone
dataOstring